scoreboard players reset @s Minion.Raycast
scoreboard players add @a[tag=Minion.Placer] Minion.Placements 1

tellraw @a[tag=Minion.Placer] [{text:"You have placed ",color:"green"},{score: {name:"@a[tag=Minion.Placer, limit=1]",objective:"Minion.Placements"},color:"green"},{text:"/10 minions.",color:"green"}]

# --------------------------------------------------------------------------------- #

data merge entity @s {Small:1b, ShowArms:1b, Invulnerable:1b, NoGravity:1b, DisabledSlots:2096896, NoBasePlate:1b, Tags:["Minion"]}


# Set correct appearance for the tier of the minion
execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment set value {feet:{id:"leather_boots",count:1b},legs:{id:"leather_leggings",count:1b},chest:{id:"leather_chestplate",count:1b},head:{count:1b, id:"player_head"}}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"2"}]}} run data modify entity @s equipment set value {feet:{id:"iron_boots",count:1b},legs:{id:"iron_leggings",count:1b},chest:{id:"iron_chestplate",count:1b},head:{count:1b, id:"player_head"}}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"3"}]}} run data modify entity @s equipment set value {feet:{id:"golden_boots",count:1b},legs:{id:"golden_leggings",count:1b},chest:{id:"golden_chestplate",count:1b},head:{count:1b, id:"player_head"}}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"4"}]}} run data modify entity @s equipment set value {feet:{id:"diamond_boots",count:1b},legs:{id:"diamond_leggings",count:1b},chest:{id:"diamond_chestplate",count:1b},head:{count:1b, id:"player_head"}}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"5"}]}} run data modify entity @s equipment set value {feet:{id:"netherite_boots",count:1b},legs:{id:"netherite_leggings",count:1b},chest:{id:"netherite_chestplate",count:1b},head:{count:1b, id:"player_head"}}


execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"pickaxe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"wooden_pickaxe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"pickaxe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"2"}]}} run data modify entity @s equipment.mainhand set value {id:"iron_pickaxe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"pickaxe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"3"}]}} run data modify entity @s equipment.mainhand set value {id:"golden_pickaxe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"pickaxe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"4"}]}} run data modify entity @s equipment.mainhand set value {id:"diamond_pickaxe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"pickaxe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"5"}]}} run data modify entity @s equipment.mainhand set value {id:"netherite_pickaxe",count:1b}


execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"axe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"wooden_axe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"axe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"2"}]}} run data modify entity @s equipment.mainhand set value {id:"iron_axe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"axe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"3"}]}} run data modify entity @s equipment.mainhand set value {id:"golden_axe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"axe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"4"}]}} run data modify entity @s equipment.mainhand set value {id:"diamond_axe",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"axe"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"5"}]}} run data modify entity @s equipment.mainhand set value {id:"netherite_axe",count:1b}


execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"shovel"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"wooden_shovel",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"shovel"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"2"}]}} run data modify entity @s equipment.mainhand set value {id:"iron_shovel",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"shovel"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"3"}]}} run data modify entity @s equipment.mainhand set value {id:"golden_shovel",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"shovel"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"4"}]}} run data modify entity @s equipment.mainhand set value {id:"diamond_shovel",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"shovel"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"5"}]}} run data modify entity @s equipment.mainhand set value {id:"netherite_shovel",count:1b}


execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"sword"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"wooden_sword",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"sword"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"2"}]}} run data modify entity @s equipment.mainhand set value {id:"iron_sword",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"sword"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"3"}]}} run data modify entity @s equipment.mainhand set value {id:"golden_sword",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"sword"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"4"}]}} run data modify entity @s equipment.mainhand set value {id:"diamond_sword",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"sword"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"5"}]}} run data modify entity @s equipment.mainhand set value {id:"netherite_sword",count:1b}


execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"fishing_rod"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"fishing_rod",count:1b}

execute if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tool", value:"bucket"}]}} if block ~ ~ ~ #minion:minions{profile:{properties:[{name:"tier", value:"1"}]}} run data modify entity @s equipment.mainhand set value {id:"bucket",count:1b}




# Copy the profile from the block to the minion and remove the block after
data modify entity @s equipment.head.components."minecraft:profile" set from block ~ ~ ~ profile
setblock ~ ~ ~ air

# --------------------------------------------------------------------------------- #

# Get the current unix timestamp and serialize it as the last_interaction property
execute store result storage minions:zprivate minion.current_unix_timestamp int 1 run scoreboard players get #TimeLib TimeLib.UnixTime
data modify entity @s equipment.head.components."minecraft:profile".properties[{name:"last_interaction"}].value set string storage minions:zprivate minion.current_unix_timestamp

# --------------------------------------------------------------------------------- #

# Set the minion ID
scoreboard players operation @s Minion.ID = .global Minion.ID
scoreboard players add .global Minion.ID 1