scoreboard players reset @s Minion.Settings
scoreboard players enable @a Minion.Settings

scoreboard players set #Minion.Installed Minion.Settings 1

# --------------------------------------------------------------------------------- #

# Return if TimeLib is not installed
execute unless score #TimeLib TimeLib.UnixTime matches 0.. run return run tellraw @s [{text:"[Minions] ",color:"gold"},{text:"This datapack needs another datapack called ",color:"white"},{text:"TimeLib",color:"aqua"},{text:" to function properly.",color:"white"},{text:"\n\nClick here to install!.",color:"green",click_event:{action: "open_url", url: "https://modrinth.com/datapack/timelib"}}]
execute unless score #TimeLib TimeLib.UnixTime matches 1700000000.. run tellraw @s [{text:"[Minions] ",color:"gold"},{text:"TimeLib has not been loaded correctly!\nPlease use /reload to fix this.",color:"white"}]

scoreboard objectives add TimeLib.UnixTime dummy

function timelib:zprivate/settings/show_load_message/off

# --------------------------------------------------------------------------------- #

scoreboard objectives add Minion.Constant dummy
scoreboard players set $10 Minion.Constant 10
scoreboard players set $60 Minion.Constant 60
scoreboard players set $90 Minion.Constant 90
scoreboard players set $100 Minion.Constant 100
scoreboard players set $128 Minion.Constant 128

scoreboard objectives add Minion.Placements dummy
execute as @a unless score @s Minion.Placements matches 0..10 run scoreboard players set @s Minion.Placements 0

scoreboard objectives add Minion.Relog custom:minecraft.leave_game

scoreboard objectives add Minion.Raycast dummy

scoreboard objectives add Minion.ID dummy
scoreboard players set .global Minion.ID 1

scoreboard objectives add Minion.Calc dummy


data modify storage minions:zprivate menu_design set value [{Slot:0b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:1b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:2b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:3b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:4b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:5b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:6b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:7b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:8b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:9b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:12b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:14b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:17b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:18b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:19b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:20b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:21b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:22b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:23b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:24b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:25b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"},{Slot:26b,count:1,components:{"minecraft:max_stack_size":1,"minecraft:custom_data":{menu_item:1b},"minecraft:hide_tooltip":{}},id:"gray_stained_glass_pane"}]

# --------------------------------------------------------------------------------- #

tellraw @a [{text:"\n[Minions] ",color:"gold"},{text:"Installed successfully!",color:"white"}]