# Get the base cooldown value
data modify storage minions:zprivate string set from entity @e[distance=..10, type=armor_stand, tag=Minion, predicate=minion:check_id, limit=1] equipment.head.components."minecraft:profile".properties[{"name":"cooldown"}].value

scoreboard players set $value Minion.Calc 0
function minion:handler/calculations/str_to_int
scoreboard players operation $cooldown Minion.Calc = $value Minion.Calc

# Upgrade formula = (cooldown * 90) / 100
scoreboard players operation $cooldown Minion.Calc *= $90 Minion.Constant
scoreboard players operation $cooldown Minion.Calc /= $100 Minion.Constant

execute store result storage minions:zprivate minion.new_cooldown int 1 run scoreboard players get $cooldown Minion.Calc
data modify entity @e[distance=..10, type=armor_stand, tag=Minion, predicate=minion:check_id, limit=1] equipment.head.components."minecraft:profile".properties[{"name":"cooldown"}].value set string storage minions:zprivate minion.new_cooldown

# --------------------------------------------------------------------------------- #

# Get the base max storage
data modify storage minions:zprivate string set from entity @e[distance=..10, type=armor_stand, tag=Minion, predicate=minion:check_id, limit=1] equipment.head.components."minecraft:profile".properties[{"name":"storage"}].signature

scoreboard players set $value Minion.Calc 0
function minion:handler/calculations/str_to_int

# Upgrade formula = max_storage * 1.25
execute store result storage minions:zprivate minion.new_max_storage int 1.25 run scoreboard players get $value Minion.Calc
data modify entity @e[distance=..10, type=armor_stand, tag=Minion, predicate=minion:check_id, limit=1] equipment.head.components."minecraft:profile".properties[{"name":"storage"}].signature set string storage minions:zprivate minion.new_max_storage



# Check for special minions with a max storage cap
execute store result score $value Minion.Calc run data get storage minions:zprivate minion.new_max_storage

execute if score $value Minion.Calc matches 101.. as @e[distance=..10, type=armor_stand, tag=Minion, predicate=minion:check_id, limit=1] if data entity @s equipment.head.components."minecraft:profile".properties[{"name":"type","value":"lava"}] run return run data modify entity @s equipment.head.components."minecraft:profile".properties[{"name":"storage"}].signature set value "100"